aboutsummaryrefslogtreecommitdiffstats
path: root/testing/gtkglext/APKBUILD
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2011-01-16 16:45:16 -0600
committerWilliam Pitcock <nenolod@dereferenced.org>2011-01-16 16:45:16 -0600
commit429f4dc43b92ef2a4363e98f5761a1273d689e04 (patch)
treeec0084d5ef78cf024a4b6113fb56932afa1c9edd /testing/gtkglext/APKBUILD
parent401a7ae9302f3c71eb391d5d2a2682ad571c337b (diff)
downloadaports-429f4dc43b92ef2a4363e98f5761a1273d689e04.tar.gz
aports-429f4dc43b92ef2a4363e98f5761a1273d689e04.tar.bz2
aports-429f4dc43b92ef2a4363e98f5761a1273d689e04.tar.xz
testing/gtkglext: new aport
Diffstat (limited to 'testing/gtkglext/APKBUILD')
-rw-r--r--testing/gtkglext/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/gtkglext/APKBUILD b/testing/gtkglext/APKBUILD
new file mode 100644
index 0000000000..a2090899ce
--- /dev/null
+++ b/testing/gtkglext/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer:
+pkgname=gtkglext
+pkgver=1.2.0
+pkgrel=0
+pkgdesc="GTK+ OpenGL Extension"
+url="http://projects.gnome.org/gtkglext/"
+arch="all"
+license="LGPL"
+depends=
+depends_dev="gtk+-dev mesa-dev libice-dev libxxf86vm-dev libxi-dev"
+makedepends="$depends_dev"
+install=
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="5c3240bfc1b21becd33ce35c5abe6f8d gtkglext-1.2.0.tar.gz"